import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { BusParkingLotQuickfunc } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-01-20 14:41
 */
interface BusParkingLotQuickfuncCU extends ConditionUtil<BusParkingLotQuickfuncCU> {
    ID: FieldUtil<BusParkingLotQuickfuncCU>;
    ORD: FieldUtil<BusParkingLotQuickfuncCU>;
    ICON: FieldUtil<BusParkingLotQuickfuncCU>;
    TITLE: FieldUtil<BusParkingLotQuickfuncCU>;
    URL: FieldUtil<BusParkingLotQuickfuncCU>;
    TYPE: FieldUtil<BusParkingLotQuickfuncCU>;
    CUSTOM: FieldUtil<BusParkingLotQuickfuncCU>;
    PID: FieldUtil<BusParkingLotQuickfuncCU>;
}
declare class BusParkingLotQuickfuncMU extends TableUtilImpl<BusParkingLotQuickfuncCU, BusParkingLotQuickfunc> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): BusParkingLotQuickfuncCU;
    static get ID(): FieldUtil<BusParkingLotQuickfuncCU>;
    static get ORD(): FieldUtil<BusParkingLotQuickfuncCU>;
    static get ICON(): FieldUtil<BusParkingLotQuickfuncCU>;
    static get TITLE(): FieldUtil<BusParkingLotQuickfuncCU>;
    static get URL(): FieldUtil<BusParkingLotQuickfuncCU>;
    static get TYPE(): FieldUtil<BusParkingLotQuickfuncCU>;
    static get CUSTOM(): FieldUtil<BusParkingLotQuickfuncCU>;
    static get PID(): FieldUtil<BusParkingLotQuickfuncCU>;
    get ID(): FieldUtil<BusParkingLotQuickfuncCU>;
    get ORD(): FieldUtil<BusParkingLotQuickfuncCU>;
    get ICON(): FieldUtil<BusParkingLotQuickfuncCU>;
    get TITLE(): FieldUtil<BusParkingLotQuickfuncCU>;
    get URL(): FieldUtil<BusParkingLotQuickfuncCU>;
    get TYPE(): FieldUtil<BusParkingLotQuickfuncCU>;
    get CUSTOM(): FieldUtil<BusParkingLotQuickfuncCU>;
    get PID(): FieldUtil<BusParkingLotQuickfuncCU>;
}
export { BusParkingLotQuickfuncMU, BusParkingLotQuickfuncCU };
